// pages/mine/mine.js
const app = getApp()
const utils = require('../../utils/util.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    globalUrl: app.globalData.globalUrl,
    isLogin: '', //是否登陆
    userInfo: '', //缓存的用户信息
    user: '', //用户信息
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  //个人名片
  toUserinfo() {
    if (this.data.isLogin) {
      //企业用户
      if (this.data.userInfo.roles === 1) {
        wx.navigateTo({
          url: '/pages/userInfo/userInfo'
        })
      }
      //服务商
      if (this.data.userInfo.roles === 2) {
        wx.navigateTo({
          url: '/pages/ispUserInfo/ispUserInfo'
        })
      }
      //运营商
      if (this.data.userInfo.roles === 3) {
        wx.navigateTo({
          url: '/pages/operUserInfo/operUserInfo'
        })
      }
    } else {
      utils.toLogin()
    }
  },

  //修改手机号
  toMobile() {
    if (this.data.isLogin) {
      wx.navigateTo({
        url: '/pages/changeMobile/changeMobile'
      })
    } else {
      utils.toLogin()
    }
  },

  //账号管理
  toAccount() {
    if (this.data.isLogin) {
      wx.navigateTo({
        url: '/pages/switchAccount/switchAccount'
      })
    } else {
      utils.toLogin()
    }
  },

  //联系客服
  contact() {
    if (this.data.isLogin) {
      wx.makePhoneCall({
        phoneNumber: '18789257620',
        success: () => {},
        fail: () => {}
      })
    } else {
      utils.toLogin()
    }
  },

  //退出登录
  loginOut() {
    utils.loginOut()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    if (typeof this.getTabBar === 'function' &&
      this.getTabBar()) {
      this.getTabBar().setData({
        selected: 2
      })
    }
    //获取个人信息
    utils.getUser({
      noLogin: () => {
        this.setData({
          isLogin: false
        })
      }
    }).then(res => {
      this.setData({
        isLogin: true,
        userInfo: utils.getInfo(),
        user: res.data
      })
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      title: '诺信云',
      path: '/pages/index/index'
    }
  }
})